TransactionStatusException (Mule ESB 2.2.1 API)
Keywords: org.mule.transaction.TransactionStatusException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transaction
Class TransactionStatusException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.transaction.TransactionException
                      org.mule.transaction.TransactionStatusException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IllegalTransactionStateException, TransactionInProgressException, TransactionNotInProgressException

    public class TransactionStatusException

extends TransactionException

See Also:
  Serialized Form

Constructor Summary
`TransactionStatusException(Message message)`
`TransactionStatusException(Message message, Throwable cause)`
`TransactionStatusException(Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionStatusException

    public TransactionStatusException(Message message)

Parameters:
  `message` - the exception message

### TransactionStatusException

    public TransactionStatusException(Message message,
                                      Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### TransactionStatusException

    public TransactionStatusException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.